
var savedState = app.activeDocument.activeHistoryState

// get a reference to the current (active) document and store it in a variable named "doc"
doc = app.activeDocument;  

// change the color mode to RGB.  Important for resizing GIFs with indexed colors, to get better results
doc.changeMode(ChangeMode.RGB);  

//GenerateResizedIcon(96,96);


GenerateResizedIcon(16,16);
GenerateResizedIcon(29,29);
GenerateResizedIcon(32,32);
GenerateResizedIcon(36,36);
GenerateResizedIcon(40,40);
GenerateResizedIcon(48,48);
GenerateResizedIcon(50,50);
GenerateResizedIcon(57,57);
GenerateResizedIcon(58,58);
GenerateResizedIcon(60,60);
GenerateResizedIcon(72,72);
GenerateResizedIcon(76,76);
GenerateResizedIcon(80,80);
GenerateResizedIcon(87,87);
GenerateResizedIcon(96,96);
GenerateResizedIcon(100,100);
GenerateResizedIcon(114,114);
GenerateResizedIcon(120,120);
GenerateResizedIcon(128,128);
GenerateResizedIcon(144,144);
GenerateResizedIcon(152,152);
GenerateResizedIcon(180,120);
GenerateResizedIcon(180,180);
GenerateResizedIcon(256,256);
GenerateResizedIcon(320,480);
GenerateResizedIcon(426,320);
GenerateResizedIcon(470,320);
GenerateResizedIcon(512,512);
GenerateResizedIcon(640,960);
GenerateResizedIcon(640,480);
GenerateResizedIcon(640,1136);
GenerateResizedIcon(750,1334);
GenerateResizedIcon(768,1004);
GenerateResizedIcon(768,1024);
GenerateResizedIcon(960,720);
GenerateResizedIcon(1024,748);
GenerateResizedIcon(1024,768);
GenerateResizedIcon(1024,500);
GenerateResizedIcon(1024,1024);
GenerateResizedIcon(1242,2208);
GenerateResizedIcon(1280,720);
GenerateResizedIcon(1536,2008);
GenerateResizedIcon(1536,2048);
GenerateResizedIcon(2048,1496);
GenerateResizedIcon(2048,1536);
GenerateResizedIcon(2208,1242);



function GenerateResizedIcon(fWidth, fHeight){

// these are our values for the END RESULT width and height (in pixels) of our image
//var fWidth = 76;
//var fHeight = 76;

//ResampleMethod.AUTOMATIC
//ResampleMethod.NONE
//ResampleMethod.NEARESTNEIGHBOR
//ResampleMethod.BILINEAR
//ResampleMethod.BICUBIC
//ResampleMethod.BICUBICSHARPER
//ResampleMethod.BICUBICSMOOTHER


// do the resizing.  if height > width (portrait-mode) resize based on height.  otherwise, resize based on width
if (fHeight < fWidth) {
//    doc.resizeImage(null,UnitValue(fHeight,"px"),null,ResampleMethod.BICUBIC);
    doc.resizeImage(null,UnitValue(fHeight,"px"),null,ResampleMethod.AUTOMATIC);
}
else {
//    doc.resizeImage(UnitValue(fWidth,"px"),null,null,ResampleMethod.BICUBIC);
    doc.resizeImage(UnitValue(fWidth,"px"),null,null,ResampleMethod.AUTOMATIC);
}



// Makes the default background white
//var white = new SolidColor(); 
//white.rgb.hexValue = "FFFFFF";
//app.backgroundColor = white;

// Convert the canvas size as informed above for the END RESULT
app.activeDocument.resizeCanvas(UnitValue(fWidth,"px"),UnitValue(fHeight,"px"));

// our web export options
var options = new ExportOptionsSaveForWeb();
//options.quality = 70;
//options.format = SaveDocumentType.JPEG;
//options.optimized = true;

  options.format = SaveDocumentType.PNG;
//  options.PNG8 = false  
  options.PNGB = true;
  options.quality = 100;
  options.includeProfile = true;
  

//var newName = 'web-' + doc.name + '.jpg';
var save_file_name = 'LT_icon_'+ fWidth.toString()  + 'x' + fHeight.toString() + '.png';

doc.exportDocument(File(doc.path + '/' + save_file_name), ExportType.SAVEFORWEB, options);

//doc.exportDocument(File(doc.path + '/generated_icons/' + save_file_name), ExportType.SAVEFORWEB, options);


app.activeDocument.activeHistoryState = savedState;

}//function GenerateResizedIcon(saveFile)

